<div class="container">
  <form [formGroup]="filterForm">
    <div class="row">
      <div class="col-12 col-md-4">
        <div class="form-group">
          <label class="d-block">Start date</label>
          <ngb-datepicker #d formControlName="startDate"></ngb-datepicker>
        </div>
      </div>
      <div class="col-12 col-md-4">
        <div class="form-group">
          <label class="d-block">End date</label>
          <ngb-datepicker #d formControlName="endDate"></ngb-datepicker>
        </div>
      </div>
      <div class="col-12 col-md-4">
        <div class="form-group">
          <label class="d-block">Country</label>
        </div>
        <ng-select formControlName="country" [multiple]="true">
          <ng-option *ngFor="let country of countries| keyvalue" [value]="country.value">{{country.key}}</ng-option>
        </ng-select>
      </div>
    </div>
    <button class="btn btn-primary" type="submit" (click)="filterChartData()">filter</button>
  </form>
  <div class="row">
    <div class="col-sm-6 m-auto">
      <canvas baseChart width="400" height="400" [datasets]="lineChartData" [labels]="lineChartLabels"
        [options]="lineChartOptions" [colors]="lineChartColors" [legend]="lineChartLegend" [chartType]="lineChartType"
        [plugins]="lineChartPlugins">
      </canvas>
    </div>
  </div>
</div>
